Jump to content
ioan

TeeChart & Delphi 10.4?

Recommended Posts

Posted (edited)

I can't find  TeeChart anywhere in Delphi 10.4, is it not available for free anymore?

 

Never mind, I found it!

Edited by ioan

Share this post


Link to post
Posted (edited)

Not sure where you lost your TChart.
But I think its worth to make clear that you have to check the TeeChart checkbox in the WebInstaller, to have this available directly after installation.

Usually I check everything in the WebInstaller, so I'm sure it will be installed in right order and nothing is missing later on.

Edited by Rollo62

Share this post


Link to post

Now it hits me too while testing, I hope I can add this in the same thread here :classic_blush:

At least the title makes the subject clear.

 

I've got the error
 

Quote

[DCC Fatal Error] Xxxxxxx.pas(18): F2051 Unit FMXTee.Canvas was compiled with a different version of System.SysUtils.FreeAndNil

 

Maybe I installed too early, and now the setup included a newer, compatible version ?
I think it should be available already at Steema.

 

But how can I update this in my Rx!0.4.0 installation:   GetIt - no

Do I have to wait until Patch2 arrives ?

 

Share this post


Link to post
Posted (edited)

Tools|Manage Platforms

 

Select Additional Options tab, TeeChart Standard

 

Click Apply

Edited by Dave Nottage

Share this post


Link to post

@Dave Nottage

Thanks, that was a little unclear howto make such updates.
So this seems to un-install and re-install the TeeChart.

The linker error was gone afterwards, I could'nt check TeeChart versions before/after,  but it looks as if the latest version was downloaded.

 

I was forced to do that by the Patch Tool.

Share this post


Link to post

I have the same problem with TChart in 10.4

 

F2051 Unit FMXTee.Canvas was compiled with a different version of System.SysUtils.FreeAndNil

 

I went through some steps I found on the internet but I can't get it fixed. Does anyone have a brilliant tip?

Share this post


Link to post

Didn't that re-install Dave and I described above worked out for you ?
Maybe its better re-start IDE too.
That solved the case for me, linker error was gone.

Share this post


Link to post

Perhaps I skipped a step. I will go through it Again.

 

Thanks!

Share this post


Link to post

Oddly enough this error only appears when compiling iOS debug. No error with iOS release or Windows.

Share this post


Link to post
3 hours ago, Bert-Jan said:

only appears when compiling iOS debug

Check the compiler paths in Project Options and possibly also the IDE Options (Language > Delphi > Library)

Share this post


Link to post
Posted (edited)

Thank you! Is there a web page available with more information about these paths?

 

There are so many settings.

Edited by Bert-Jan

Share this post


Link to post

I created a completely new test project in 10.4 and it still gives the error

 

Unit FMXTee.Canvas was compiled with a different version of System.SysUtils.FreeAndNil

 

So I guess it is not the project.

 

Could it have to do with the fact that I installed 10.4 in addition to 10.3?

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×